Name:           libosmo-pfcp
Version:        0.5.0
Release:        1.dcbw%{?dist}
Summary:        Osmocom PFCP
License:        AGPL-3.0-or-later AND GPL-2.0-or-later

URL:            https://osmocom.org/projects/libosmo-pfcp/wiki

BuildRequires:  git make autoconf automake libtool doxygen systemd-devel
BuildRequires:  libosmocore-devel >= 1.10.0

Source0: %{name}-%{version}.tar.bz2

%description
PFCP protocol encoding and decoding, and generic PFCP endpoint implementation.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
Development files for %{name}.


%prep
%autosetup -p1

%build
%global optflags %(echo %optflags | sed 's|-Wp,-D_GLIBCXX_ASSERTIONS||g')
echo "%{version}" >.tarball-version
autoreconf -fiv
%configure --enable-shared \
           --disable-static \
           --enable-manual

sed -i -e 's|tests||g' Makefile
# Fix unused direct shlib dependency
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool

make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}
# Remove libtool archives
find %{buildroot} -name '*.la' -exec rm -f {} \;
find %{buildroot} -name '*.a' -exec rm -f {} \;
# versioning
sed -i 's|UNKNOWN|%{version}|' %{buildroot}%{_libdir}/pkgconfig/*.pc


%check
make check


%ldconfig_scriptlets


%files
%{_libdir}/*.so.*

%files devel
%{_includedir}/osmocom/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Sun Jun  8 2025 Dan Williams <dan@ioncontrol.co> - 0.5.0
- Update to 0.5.0

* Fri Jan 26 2024 Cristian Balint <cristian.balint@gmail.com>
- git update releases
